Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.compara.datamodel
Interface Member

All Superinterfaces:
  Persistent, java.io.Serializable

public interface Member
extends Persistent

I represent a single species which is part of the compara- analyses.

Method Summary
`int` | `getChrEnd()`
`java.lang.String` | `getChrName()`
`int` | `getChrStart()`
`int` | `getChrStrand()`
`java.lang.String` | `getDescription()`
`long` | `getGeneMemberId()`
`long` | `getGenomeDbId()`
`long` | `getSequenceId()`
`java.lang.String` | `getSourceName()`
`java.lang.String` | `getStableId()`
`long` | `getTaxonId()`
`int` | `getVersion()`
`void` | `setChrEnd(int _chrEnd)`
`void` | `setChrName(java.lang.String _chrName)`
`void` | `setChrStart(int _chrStart)`
`void` | `setChrStrand(int _chrStrand)`
`void` | `setDescription(java.lang.String _description)`
`void` | `setGeneMemberId(long _geneMemberId)`
`void` | `setGenomeDbId(long _genomeDbId)`
`void` | `setSequenceId(long _sequenceId)`
`void` | `setSourceName(java.lang.String _sourceName)`
`void` | `setStableId(java.lang.String _stableId)`
`void` | `setTaxonId(long _taxonId)`
`void` | `setVersion(int _version)`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getStableId

    public java.lang.String getStableId()

### setStableId

    public void setStableId(java.lang.String _stableId)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int _version)

### getSourceName

    public java.lang.String getSourceName()

### setSourceName

    public void setSourceName(java.lang.String _sourceName)

### getTaxonId

    public long getTaxonId()

### setTaxonId

    public void setTaxonId(long _taxonId)

### getGenomeDbId

    public long getGenomeDbId()

### setGenomeDbId

    public void setGenomeDbId(long _genomeDbId)

### getSequenceId

    public long getSequenceId()

### setSequenceId

    public void setSequenceId(long _sequenceId)

### getGeneMemberId

    public long getGeneMemberId()

### setGeneMemberId

    public void setGeneMemberId(long _geneMemberId)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String _description)

### getChrName

    public java.lang.String getChrName()

### setChrName

    public void setChrName(java.lang.String _chrName)

### getChrStart

    public int getChrStart()

### setChrStart

    public void setChrStart(int _chrStart)

### getChrEnd

    public int getChrEnd()

### setChrEnd

    public void setChrEnd(int _chrEnd)

### getChrStrand

    public int getChrStrand()

### setChrStrand

    public void setChrStrand(int _chrStrand)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD